
Redmine - Defect #9378

Mail delivery: sendmail only works after one run with anync_sendmail

2011-10-06 01:19 - Tom Ka

Status: Closed Start date: 2011-10-06

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

Hi,

I had a problem configuring my e-mail setup for redmine. Now it works, but I wonder if the source of the problem might be a bug. As

delivery method I want to use sendmail. So, like written in the documentation within config/configuration.yml, I tried the following:

   email_delivery:

     delivery_method: :sendmail

 Sending a test mail did not work and I got this error message after trying: undefined method `[]' for #

Changing the delivery_method to ":async_sendmail" everything works fine. So it seems the method defined by it

(perform_delivery_async_sendmail) is even needed if async_sendmail is not used. After having started with ":async_sendmail" once,

I can use ":sendmail" without problems, too.

Information about my system:

About your application's environment

Ruby version              1.8.7 (i486-linux)

RubyGems version          1.4.2

Rack version              1.1.2

Rails version             2.3.11

Active Record version     2.3.11

Active Resource version   2.3.11

Action Mailer version     2.3.11

Active Support version    2.3.11

Environment               production

Database adapter          mysql

Database schema version   20110818135620

I can't provide a stacktrace right now, but the above information might be enough to tell if this is a bug at all.

History

#1 - 2011-10-06 09:38 - Etienne Massip

- Category set to Email notifications

#2 - 2019-02-10 07:54 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Cant reproduce

Email notification is drastically rewritten in Redmine 4.0.0 (#26791) and async_smtp delivery method was obsoleted.

Please reopen this issue if you are still experiencing the problem in the latest version of Redmine.
